options nocenter validvarname=any;

*---Read in space-delimited ascii file;

data new_data;


infile 'earnings.dat' lrecl=333 missover DSD DLM=' ' print;
input
  R0000100
  R0155400
  R0156000
  R0312300
  R0312600
  R0482600
  R0483200
  R0782101
  R0782401
  R1024001
  R1024301
  R1410701
  R1411001
  R1778501
  R1778801
  R2141601
  R2141901
  R2350301
  R2350601
  R2722501
  R2722801
  R2971401
  R2971701
  R3279401
  R3279701
  R3559001
  R3559301
  R3897101
  R3897401
  R4295101
  R4295501
  R4982801
  R4983201
  R5626201
  R5626601
  R6364601
  R6365001
  R6909701
  R6911101
  R7607800
  R7609000
  R8316300
  R8318200
  T0912400
  T0913900
  T2076700
  T2078800
  T3045300
  T3047500
  T3977400
  T3979400
;
array nvarlist _numeric_;


*---Recode missing values to SAS custom system missing. See SAS
      documentation for use of MISSING option in procedures, e.g. PROC FREQ;

do over nvarlist;
  if nvarlist = -1 then nvarlist = .R;  /* Refused */
  if nvarlist = -2 then nvarlist = .D;  /* Dont know */
  if nvarlist = -3 then nvarlist = .I;  /* Invalid missing */
  if nvarlist = -4 then nvarlist = .V;  /* Valid missing */
  if nvarlist = -5 then nvarlist = .N;  /* Non-interview */
end;

  label R0000100 = "ID# (1-12686) 79";
  label R0155400 = "TOT INC WAGES AND SALRY P-C YR 79";
  label R0156000 = "TOT INC FARM/BUSNS P-C YR 79";
  label R0312300 = "TOT INC WAGES AND SALRY P-C YR 80";
  label R0312600 = "TOT INC FARM/BUSNS P-C YR 80";
  label R0482600 = "TOT INC WAGES AND SALRY P-C YR 81";
  label R0483200 = "TOT INC FARM/BUSNS P-C YR 81";
  label R0782101 = "TOT INC WAGES AND SALRY P-C YR 82 (TRUNC)";
  label R0782401 = "TOT INC FARM/BUSNS P-C YR 82 (TRUNC)";
  label R1024001 = "TOT INC WAGES AND SALRY P-C YR 83 (TRUNC)";
  label R1024301 = "TOT INC FARM/BUSNS P-C YR 83 (TRUNC)";
  label R1410701 = "TOT INC WAGES AND SALRY P-C YR 84 (TRUNC)";
  label R1411001 = "TOT INC FARM/BUSNS P-C YR 84 (TRUNC)";
  label R1778501 = "TOT INC WAGES AND SALRY P-C YR 85 (TRUNC)";
  label R1778801 = "TOT INC FARM/BUSNS P-C YR 85 (TRUNC)";
  label R2141601 = "TOT INC WAGES AND SALRY P-C YR 86 (TRUNC)";
  label R2141901 = "TOT INC FARM/BUSNS P-C YR 86 (TRUNC)";
  label R2350301 = "TOT INC WAGES AND SALRY P-C YR 87 (TRUNC)";
  label R2350601 = "TOT INC FARM/BUSNS P-C YR 87 (TRUNC)";
  label R2722501 = "TOT INC WAGES AND SALRY P-C YR 88 (TRUNC)";
  label R2722801 = "TOT INC FARM/BUSNS P-C YR 88 (TRUNC)";
  label R2971401 = "TOT INC WAGES AND SALRY P-C YR 89 (TRUNC)";
  label R2971701 = "TOT INC FARM/BUSNS P-C YR 89 (TRUNC)";
  label R3279401 = "TOT INC WAGES AND SALRY P-C YR 90 (TRUNC)";
  label R3279701 = "TOT INC FARM/BUSNS P-C YR 90 (TRUNC)";
  label R3559001 = "TOT INC WAGES AND SALRY P-C YR 91";
  label R3559301 = "TOT INC FARM/BUSNS P-C YR 91 (TRUNC)";
  label R3897101 = "TOT INC WAGES AND SALRY P-C YR 92 (TRUNC)";
  label R3897401 = "TOT INC FARM/BUSNS P-C YR 92 (TRUNC)";
  label R4295101 = "AMT OF R'S WAGES/SALARY/TIPS (PCY) 93 (TRUNC)";
  label R4295501 = "AMT FRM FARM-BUSNS AFT EXP (R-PCY) 93 (TRUNC)";
  label R4982801 = "AMT OF R'S WAGES/SALARY/TIPS (PCY) 94";
  label R4983201 = "AMT FRM FARM-BUSNS AFT EXP (R-PCY) 94";
  label R5626201 = "AMT OF R'S WAGES/SALARY/TIPS (PCY) 96";
  label R5626601 = "AMT FRM FARM-BUSNS AFT EXP (R-PCY) 96";
  label R6364601 = "AMT OF RS WAGES/SALARY/TIPS (PCY) 1998";
  label R6365001 = "AMT FRM FARM-BUSNS AFT EXP (R-PCY) 1998";
  label R6909701 = "AMT OF RS WAGES/SALARY/TIPS (PCY) 2000";
  label R6911101 = "AMT FRM FARM-BUSNS AFT EXP (R-PCY) 2000";
  label R7607800 = "AMT OF RS WAGES/SALARY/TIPS (PCY) 2002";
  label R7609000 = "AMT FRM FARM-BUSNS AFT EXP (R-PCY) 2002";
  label R8316300 = "AMT OF RS WAGES/SALARY/TIPS (PCY) 2004";
  label R8318200 = "AMT FRM FARM-BUSNS AFT EXP (R-PCY) 2004";
  label T0912400 = "AMT OF RS WAGES/SALARY/TIPS (PCY) 2006";
  label T0913900 = "AMT FRM FARM-BUSNS AFT EXP (R-PCY) 2006";
  label T2076700 = "AMT OF RS WAGES/SALARY/TIPS (PCY) 2008";
  label T2078800 = "AMT FRM FARM-BUSNS AFT EXP (R-PCY) 2008";
  label T3045300 = "AMT OF RS WAGES/SALARY/TIPS (PCY) 2010";
  label T3047500 = "AMT FRM FARM-BUSNS AFT EXP (R-PCY) 2010";
  label T3977400 = "AMT OF RS WAGES/SALARY/TIPS (PCY) 2012";
  label T3979400 = "AMT FRM FARM-BUSNS AFT EXP (R-PCY) 2012";

/*---------------------------------------------------------------------*
 *  Crosswalk for Reference number & Question name                     *
 *---------------------------------------------------------------------*
 * Uncomment and edit this RENAME statement to rename variables
 * for ease of use.  You may need to use  name literal strings
 * e.g.  'variable-name'n   to create valid SAS variable names, or 
 * alter variables similarly named across years.
 * This command does not guarantee uniqueness

 * See SAS documentation for use of name literals and use of the
 * VALIDVARNAME=ANY option.     
 *---------------------------------------------------------------------*/
  /* *start* */

* RENAME
  R0000100 = 'CASEID_1979'n
  R0155400 = 'Q13-5_1979'n
  R0156000 = 'Q13-8_1979'n
  R0312300 = 'Q13-5_1980'n
  R0312600 = 'Q13-9_1980'n
  R0482600 = 'Q13-5_1981'n
  R0483200 = 'Q13-8_1981'n
  R0782101 = 'Q13-5_TRUNC_REVISED_1982'n
  R0782401 = 'Q13-8_TRUNC_REVISED_1982'n
  R1024001 = 'Q13-5_TRUNC_REVISED_1983'n
  R1024301 = 'Q13-9_TRUNC_REVISED_1983'n
  R1410701 = 'Q13-5_TRUNC_REVISED_1984'n
  R1411001 = 'Q13-8_TRUNC_REVISED_1984'n
  R1778501 = 'Q13-5_TRUNC_REVISED_1985'n
  R1778801 = 'Q13-9_TRUNC_REVISED_1985'n
  R2141601 = 'Q13-5_TRUNC_REVISED_1986'n
  R2141901 = 'Q13-9_TRUNC_REVISED_1986'n
  R2350301 = 'Q13-5_TRUNC_REVISED_1987'n
  R2350601 = 'Q13-9_TRUNC_REVISED_1987'n
  R2722501 = 'Q13-5_TRUNC_REVISED_1988'n
  R2722801 = 'Q13-9_TRUNC_REVISED_1988'n
  R2971401 = 'Q13-5_TRUNC_REVISED_1989'n
  R2971701 = '13-9_TRUNC_REVISED_1989'n
  R3279401 = 'Q13-5_TRUNC_REVISED_1990'n
  R3279701 = 'Q13-9_TRUNC_REVISED_1990'n
  R3559001 = 'Q13-5_TRUNC_REVISED_1991'n
  R3559301 = 'Q13-9_TRUNC_REVISED_1991'n
  R3897101 = 'Q13-5_TRUNC_REVISED_1992'n
  R3897401 = 'Q13-9_TRUNC_REVISED_1992'n
  R4295101 = 'R4295101_REVISED_1993'n
  R4295501 = 'R4295501_REVISED_1993'n
  R4982801 = 'Q13-5_TRUNC_REVISED_1994'n
  R4983201 = 'Q13-9_TRUNC_REVISED_1994'n
  R5626201 = 'Q13-5_TRUNC_REVISED_1996'n
  R5626601 = 'Q13-9_TRUNC_REVISED_1996'n
  R6364601 = 'Q13-5_TRUNC_REVISED_1998'n
  R6365001 = 'Q13-9_TRUNC_REVISED_1998'n
  R6909701 = 'Q13-5_TRUNC_REVISED_2000'n
  R6911101 = 'Q13-9_TRUNC_REVISED_2000'n
  R7607800 = 'Q13-5_TRUNC_2002'n
  R7609000 = 'Q13-9_TRUNC_2002'n
  R8316300 = 'Q13-5_TRUNC_2004'n
  R8318200 = 'Q13-9_TRUNC_2004'n
  T0912400 = 'Q13-5_TRUNC_2006'n
  T0913900 = 'Q13-9_TRUNC_2006'n
  T2076700 = 'Q13-5_TRUNC_2008'n
  T2078800 = 'Q13-9_TRUNC_2008'n
  T3045300 = 'Q13-5_TRUNC_2010'n
  T3047500 = 'Q13-9_TRUNC_2010'n
  T3977400 = 'Q13-5_TRUNC_2012'n
  T3979400 = 'Q13-9_TRUNC_2012'n
;
  /* *finish* */

run;

proc means data=new_data n mean min max;
run;


/*---------------------------------------------------------------------*
 *  FORMATTED TABULATIONS                                              *
 *---------------------------------------------------------------------*
 * You can uncomment and edit the PROC FORMAT and PROC FREQ statements 
 * provided below to obtain formatted tabulations. The tabulations 
 * should reflect codebook values.
 * 
 * Please edit the formats below reflect any renaming of the variables
 * you may have done in the first data step. 
 *---------------------------------------------------------------------*/

/*
proc format; 
value vx1f
  0='0'
  1-99='1 TO 99'
  100-199='100 TO 199'
  200-299='200 TO 299'
  300-399='300 TO 399'
  400-499='400 TO 499'
  500-599='500 TO 599'
  600-699='600 TO 699'
  700-799='700 TO 799'
  800-899='800 TO 899'
  900-999='900 TO 999'
  1000-9999999='1000 TO 9999999: 1000+'
;
value vx2f
  0='0'
  1-99='1 TO 99'
  100-199='100 TO 199'
  200-299='200 TO 299'
  300-399='300 TO 399'
  400-499='400 TO 499'
  500-599='500 TO 599'
  600-699='600 TO 699'
  700-799='700 TO 799'
  800-899='800 TO 899'
  900-999='900 TO 999'
  1000-9999999='1000 TO 9999999: 1000+'
;
value vx3f
  0='0'
  1-999='1 TO 999'
  1000-1999='1000 TO 1999'
  2000-2999='2000 TO 2999'
  3000-3999='3000 TO 3999'
  4000-4999='4000 TO 4999'
  5000-5999='5000 TO 5999'
  6000-6999='6000 TO 6999'
  7000-7999='7000 TO 7999'
  8000-8999='8000 TO 8999'
  9000-9999='9000 TO 9999'
  10000-14999='10000 TO 14999'
  15000-19999='15000 TO 19999'
  20000-24999='20000 TO 24999'
  25000-49999='25000 TO 49999'
  50000-9999999='50000 TO 9999999: 50000+'
;
value vx4f
  0='0'
  1-999='1 TO 999'
  1000-1999='1000 TO 1999'
  2000-2999='2000 TO 2999'
  3000-3999='3000 TO 3999'
  4000-4999='4000 TO 4999'
  5000-5999='5000 TO 5999'
  6000-6999='6000 TO 6999'
  7000-7999='7000 TO 7999'
  8000-8999='8000 TO 8999'
  9000-9999='9000 TO 9999'
  10000-14999='10000 TO 14999'
  15000-19999='15000 TO 19999'
  20000-24999='20000 TO 24999'
  25000-49999='25000 TO 49999'
  50000-9999999='50000 TO 9999999: 50000+'
;
value vx5f
  0='0'
  1-999='1 TO 999'
  1000-1999='1000 TO 1999'
  2000-2999='2000 TO 2999'
  3000-3999='3000 TO 3999'
  4000-4999='4000 TO 4999'
  5000-5999='5000 TO 5999'
  6000-6999='6000 TO 6999'
  7000-7999='7000 TO 7999'
  8000-8999='8000 TO 8999'
  9000-9999='9000 TO 9999'
  10000-14999='10000 TO 14999'
  15000-19999='15000 TO 19999'
  20000-24999='20000 TO 24999'
  25000-49999='25000 TO 49999'
  50000-9999999='50000 TO 9999999: 50000+'
;
value vx6f
  0='0'
  1-999='1 TO 999'
  1000-1999='1000 TO 1999'
  2000-2999='2000 TO 2999'
  3000-3999='3000 TO 3999'
  4000-4999='4000 TO 4999'
  5000-5999='5000 TO 5999'
  6000-6999='6000 TO 6999'
  7000-7999='7000 TO 7999'
  8000-8999='8000 TO 8999'
  9000-9999='9000 TO 9999'
  10000-14999='10000 TO 14999'
  15000-19999='15000 TO 19999'
  20000-24999='20000 TO 24999'
  25000-49999='25000 TO 49999'
  50000-9999999='50000 TO 9999999: 50000+'
;
value vx7f
  0='0'
  1-999='1 TO 999'
  1000-1999='1000 TO 1999'
  2000-2999='2000 TO 2999'
  3000-3999='3000 TO 3999'
  4000-4999='4000 TO 4999'
  5000-5999='5000 TO 5999'
  6000-6999='6000 TO 6999'
  7000-7999='7000 TO 7999'
  8000-8999='8000 TO 8999'
  9000-9999='9000 TO 9999'
  10000-14999='10000 TO 14999'
  15000-19999='15000 TO 19999'
  20000-24999='20000 TO 24999'
  25000-49999='25000 TO 49999'
  50000-9999999='50000 TO 9999999: 50000+'
;
value vx8f
  0='0'
  1-999='1 TO 999'
  1000-1999='1000 TO 1999'
  2000-2999='2000 TO 2999'
  3000-3999='3000 TO 3999'
  4000-4999='4000 TO 4999'
  5000-5999='5000 TO 5999'
  6000-6999='6000 TO 6999'
  7000-7999='7000 TO 7999'
  8000-8999='8000 TO 8999'
  9000-9999='9000 TO 9999'
  10000-14999='10000 TO 14999'
  15000-19999='15000 TO 19999'
  20000-24999='20000 TO 24999'
  25000-49999='25000 TO 49999'
  50000-9999999='50000 TO 9999999: 50000+'
;
value vx9f
  0='0'
  1-999='1 TO 999'
  1000-1999='1000 TO 1999'
  2000-2999='2000 TO 2999'
  3000-3999='3000 TO 3999'
  4000-4999='4000 TO 4999'
  5000-5999='5000 TO 5999'
  6000-6999='6000 TO 6999'
  7000-7999='7000 TO 7999'
  8000-8999='8000 TO 8999'
  9000-9999='9000 TO 9999'
  10000-14999='10000 TO 14999'
  15000-19999='15000 TO 19999'
  20000-24999='20000 TO 24999'
  25000-49999='25000 TO 49999'
  50000-9999999='50000 TO 9999999: 50000+'
;
value vx10f
  0='0'
  1-999='1 TO 999'
  1000-1999='1000 TO 1999'
  2000-2999='2000 TO 2999'
  3000-3999='3000 TO 3999'
  4000-4999='4000 TO 4999'
  5000-5999='5000 TO 5999'
  6000-6999='6000 TO 6999'
  7000-7999='7000 TO 7999'
  8000-8999='8000 TO 8999'
  9000-9999='9000 TO 9999'
  10000-14999='10000 TO 14999'
  15000-19999='15000 TO 19999'
  20000-24999='20000 TO 24999'
  25000-49999='25000 TO 49999'
  50000-9999999='50000 TO 9999999: 50000+'
;
value vx11f
  0='0'
  1-999='1 TO 999'
  1000-1999='1000 TO 1999'
  2000-2999='2000 TO 2999'
  3000-3999='3000 TO 3999'
  4000-4999='4000 TO 4999'
  5000-5999='5000 TO 5999'
  6000-6999='6000 TO 6999'
  7000-7999='7000 TO 7999'
  8000-8999='8000 TO 8999'
  9000-9999='9000 TO 9999'
  10000-14999='10000 TO 14999'
  15000-19999='15000 TO 19999'
  20000-24999='20000 TO 24999'
  25000-49999='25000 TO 49999'
  50000-9999999='50000 TO 9999999: 50000+'
;
value vx12f
  0='0'
  1-999='1 TO 999'
  1000-1999='1000 TO 1999'
  2000-2999='2000 TO 2999'
  3000-3999='3000 TO 3999'
  4000-4999='4000 TO 4999'
  5000-5999='5000 TO 5999'
  6000-6999='6000 TO 6999'
  7000-7999='7000 TO 7999'
  8000-8999='8000 TO 8999'
  9000-9999='9000 TO 9999'
  10000-14999='10000 TO 14999'
  15000-19999='15000 TO 19999'
  20000-24999='20000 TO 24999'
  25000-49999='25000 TO 49999'
  50000-9999999='50000 TO 9999999: 50000+'
;
value vx13f
  0='0'
  1-999='1 TO 999'
  1000-1999='1000 TO 1999'
  2000-2999='2000 TO 2999'
  3000-3999='3000 TO 3999'
  4000-4999='4000 TO 4999'
  5000-5999='5000 TO 5999'
  6000-6999='6000 TO 6999'
  7000-7999='7000 TO 7999'
  8000-8999='8000 TO 8999'
  9000-9999='9000 TO 9999'
  10000-14999='10000 TO 14999'
  15000-19999='15000 TO 19999'
  20000-24999='20000 TO 24999'
  25000-49999='25000 TO 49999'
  50000-9999999='50000 TO 9999999: 50000+'
;
value vx14f
  0='0'
  1-999='1 TO 999'
  1000-1999='1000 TO 1999'
  2000-2999='2000 TO 2999'
  3000-3999='3000 TO 3999'
  4000-4999='4000 TO 4999'
  5000-5999='5000 TO 5999'
  6000-6999='6000 TO 6999'
  7000-7999='7000 TO 7999'
  8000-8999='8000 TO 8999'
  9000-9999='9000 TO 9999'
  10000-14999='10000 TO 14999'
  15000-19999='15000 TO 19999'
  20000-24999='20000 TO 24999'
  25000-49999='25000 TO 49999'
  50000-9999999='50000 TO 9999999: 50000+'
;
value vx15f
  0='0'
  1-999='1 TO 999'
  1000-1999='1000 TO 1999'
  2000-2999='2000 TO 2999'
  3000-3999='3000 TO 3999'
  4000-4999='4000 TO 4999'
  5000-5999='5000 TO 5999'
  6000-6999='6000 TO 6999'
  7000-7999='7000 TO 7999'
  8000-8999='8000 TO 8999'
  9000-9999='9000 TO 9999'
  10000-14999='10000 TO 14999'
  15000-19999='15000 TO 19999'
  20000-24999='20000 TO 24999'
  25000-49999='25000 TO 49999'
  50000-9999999='50000 TO 9999999: 50000+'
;
value vx16f
  0='0'
  1-999='1 TO 999'
  1000-1999='1000 TO 1999'
  2000-2999='2000 TO 2999'
  3000-3999='3000 TO 3999'
  4000-4999='4000 TO 4999'
  5000-5999='5000 TO 5999'
  6000-6999='6000 TO 6999'
  7000-7999='7000 TO 7999'
  8000-8999='8000 TO 8999'
  9000-9999='9000 TO 9999'
  10000-14999='10000 TO 14999'
  15000-19999='15000 TO 19999'
  20000-24999='20000 TO 24999'
  25000-49999='25000 TO 49999'
  50000-9999999='50000 TO 9999999: 50000+'
;
value vx17f
  0='0'
  1-999='1 TO 999'
  1000-1999='1000 TO 1999'
  2000-2999='2000 TO 2999'
  3000-3999='3000 TO 3999'
  4000-4999='4000 TO 4999'
  5000-5999='5000 TO 5999'
  6000-6999='6000 TO 6999'
  7000-7999='7000 TO 7999'
  8000-8999='8000 TO 8999'
  9000-9999='9000 TO 9999'
  10000-14999='10000 TO 14999'
  15000-19999='15000 TO 19999'
  20000-24999='20000 TO 24999'
  25000-49999='25000 TO 49999'
  50000-9999999='50000 TO 9999999: 50000+'
;
value vx18f
  0='0'
  1-999='1 TO 999'
  1000-1999='1000 TO 1999'
  2000-2999='2000 TO 2999'
  3000-3999='3000 TO 3999'
  4000-4999='4000 TO 4999'
  5000-5999='5000 TO 5999'
  6000-6999='6000 TO 6999'
  7000-7999='7000 TO 7999'
  8000-8999='8000 TO 8999'
  9000-9999='9000 TO 9999'
  10000-14999='10000 TO 14999'
  15000-19999='15000 TO 19999'
  20000-24999='20000 TO 24999'
  25000-49999='25000 TO 49999'
  50000-9999999='50000 TO 9999999: 50000+'
;
value vx19f
  0='0'
  1-999='1 TO 999'
  1000-1999='1000 TO 1999'
  2000-2999='2000 TO 2999'
  3000-3999='3000 TO 3999'
  4000-4999='4000 TO 4999'
  5000-5999='5000 TO 5999'
  6000-6999='6000 TO 6999'
  7000-7999='7000 TO 7999'
  8000-8999='8000 TO 8999'
  9000-9999='9000 TO 9999'
  10000-14999='10000 TO 14999'
  15000-19999='15000 TO 19999'
  20000-24999='20000 TO 24999'
  25000-49999='25000 TO 49999'
  50000-9999999='50000 TO 9999999: 50000+'
;
value vx20f
  0='0'
  1-999='1 TO 999'
  1000-1999='1000 TO 1999'
  2000-2999='2000 TO 2999'
  3000-3999='3000 TO 3999'
  4000-4999='4000 TO 4999'
  5000-5999='5000 TO 5999'
  6000-6999='6000 TO 6999'
  7000-7999='7000 TO 7999'
  8000-8999='8000 TO 8999'
  9000-9999='9000 TO 9999'
  10000-14999='10000 TO 14999'
  15000-19999='15000 TO 19999'
  20000-24999='20000 TO 24999'
  25000-49999='25000 TO 49999'
  50000-9999999='50000 TO 9999999: 50000+'
;
value vx21f
  0='0'
  1-999='1 TO 999'
  1000-1999='1000 TO 1999'
  2000-2999='2000 TO 2999'
  3000-3999='3000 TO 3999'
  4000-4999='4000 TO 4999'
  5000-5999='5000 TO 5999'
  6000-6999='6000 TO 6999'
  7000-7999='7000 TO 7999'
  8000-8999='8000 TO 8999'
  9000-9999='9000 TO 9999'
  10000-14999='10000 TO 14999'
  15000-19999='15000 TO 19999'
  20000-24999='20000 TO 24999'
  25000-49999='25000 TO 49999'
  50000-9999999='50000 TO 9999999: 50000+'
;
value vx22f
  0='0'
  1-999='1 TO 999'
  1000-1999='1000 TO 1999'
  2000-2999='2000 TO 2999'
  3000-3999='3000 TO 3999'
  4000-4999='4000 TO 4999'
  5000-5999='5000 TO 5999'
  6000-6999='6000 TO 6999'
  7000-7999='7000 TO 7999'
  8000-8999='8000 TO 8999'
  9000-9999='9000 TO 9999'
  10000-14999='10000 TO 14999'
  15000-19999='15000 TO 19999'
  20000-24999='20000 TO 24999'
  25000-49999='25000 TO 49999'
  50000-9999999='50000 TO 9999999: 50000+'
;
value vx23f
  0='0'
  1-999='1 TO 999'
  1000-1999='1000 TO 1999'
  2000-2999='2000 TO 2999'
  3000-3999='3000 TO 3999'
  4000-4999='4000 TO 4999'
  5000-5999='5000 TO 5999'
  6000-6999='6000 TO 6999'
  7000-7999='7000 TO 7999'
  8000-8999='8000 TO 8999'
  9000-9999='9000 TO 9999'
  10000-14999='10000 TO 14999'
  15000-19999='15000 TO 19999'
  20000-24999='20000 TO 24999'
  25000-49999='25000 TO 49999'
  50000-9999999='50000 TO 9999999: 50000+'
;
value vx24f
  0='0'
  1-999='1 TO 999'
  1000-1999='1000 TO 1999'
  2000-2999='2000 TO 2999'
  3000-3999='3000 TO 3999'
  4000-4999='4000 TO 4999'
  5000-5999='5000 TO 5999'
  6000-6999='6000 TO 6999'
  7000-7999='7000 TO 7999'
  8000-8999='8000 TO 8999'
  9000-9999='9000 TO 9999'
  10000-14999='10000 TO 14999'
  15000-19999='15000 TO 19999'
  20000-24999='20000 TO 24999'
  25000-49999='25000 TO 49999'
  50000-9999999='50000 TO 9999999: 50000+'
;
value vx25f
  0='0'
  1-999='1 TO 999'
  1000-1999='1000 TO 1999'
  2000-2999='2000 TO 2999'
  3000-3999='3000 TO 3999'
  4000-4999='4000 TO 4999'
  5000-5999='5000 TO 5999'
  6000-6999='6000 TO 6999'
  7000-7999='7000 TO 7999'
  8000-8999='8000 TO 8999'
  9000-9999='9000 TO 9999'
  10000-14999='10000 TO 14999'
  15000-19999='15000 TO 19999'
  20000-24999='20000 TO 24999'
  25000-49999='25000 TO 49999'
  50000-9999999='50000 TO 9999999: 50000+'
;
value vx26f
  0='0'
  1-999='1 TO 999'
  1000-1999='1000 TO 1999'
  2000-2999='2000 TO 2999'
  3000-3999='3000 TO 3999'
  4000-4999='4000 TO 4999'
  5000-5999='5000 TO 5999'
  6000-6999='6000 TO 6999'
  7000-7999='7000 TO 7999'
  8000-8999='8000 TO 8999'
  9000-9999='9000 TO 9999'
  10000-14999='10000 TO 14999'
  15000-19999='15000 TO 19999'
  20000-24999='20000 TO 24999'
  25000-49999='25000 TO 49999'
  50000-9999999='50000 TO 9999999: 50000+'
;
value vx27f
  0='0'
  1-999='1 TO 999'
  1000-1999='1000 TO 1999'
  2000-2999='2000 TO 2999'
  3000-3999='3000 TO 3999'
  4000-4999='4000 TO 4999'
  5000-5999='5000 TO 5999'
  6000-6999='6000 TO 6999'
  7000-7999='7000 TO 7999'
  8000-8999='8000 TO 8999'
  9000-9999='9000 TO 9999'
  10000-14999='10000 TO 14999'
  15000-19999='15000 TO 19999'
  20000-24999='20000 TO 24999'
  25000-49999='25000 TO 49999'
  50000-9999999='50000 TO 9999999: 50000+'
;
value vx28f
  0='0'
  1-999='1 TO 999'
  1000-1999='1000 TO 1999'
  2000-2999='2000 TO 2999'
  3000-3999='3000 TO 3999'
  4000-4999='4000 TO 4999'
  5000-5999='5000 TO 5999'
  6000-6999='6000 TO 6999'
  7000-7999='7000 TO 7999'
  8000-8999='8000 TO 8999'
  9000-9999='9000 TO 9999'
  10000-14999='10000 TO 14999'
  15000-19999='15000 TO 19999'
  20000-24999='20000 TO 24999'
  25000-49999='25000 TO 49999'
  50000-9999999='50000 TO 9999999: 50000+'
;
value vx29f
  0='0'
  1-999='1 TO 999'
  1000-1999='1000 TO 1999'
  2000-2999='2000 TO 2999'
  3000-3999='3000 TO 3999'
  4000-4999='4000 TO 4999'
  5000-5999='5000 TO 5999'
  6000-6999='6000 TO 6999'
  7000-7999='7000 TO 7999'
  8000-8999='8000 TO 8999'
  9000-9999='9000 TO 9999'
  10000-14999='10000 TO 14999'
  15000-19999='15000 TO 19999'
  20000-24999='20000 TO 24999'
  25000-49999='25000 TO 49999'
  50000-9999999='50000 TO 9999999: 50000+'
;
value vx30f
  0='0'
  1-999='1 TO 999'
  1000-1999='1000 TO 1999'
  2000-2999='2000 TO 2999'
  3000-3999='3000 TO 3999'
  4000-4999='4000 TO 4999'
  5000-5999='5000 TO 5999'
  6000-6999='6000 TO 6999'
  7000-7999='7000 TO 7999'
  8000-8999='8000 TO 8999'
  9000-9999='9000 TO 9999'
  10000-14999='10000 TO 14999'
  15000-19999='15000 TO 19999'
  20000-24999='20000 TO 24999'
  25000-49999='25000 TO 49999'
  50000-9999999='50000 TO 9999999: 50000+'
;
value vx31f
  0='0'
  1-999='1 TO 999'
  1000-1999='1000 TO 1999'
  2000-2999='2000 TO 2999'
  3000-3999='3000 TO 3999'
  4000-4999='4000 TO 4999'
  5000-5999='5000 TO 5999'
  6000-6999='6000 TO 6999'
  7000-7999='7000 TO 7999'
  8000-8999='8000 TO 8999'
  9000-9999='9000 TO 9999'
  10000-14999='10000 TO 14999'
  15000-19999='15000 TO 19999'
  20000-24999='20000 TO 24999'
  25000-49999='25000 TO 49999'
  50000-99999999='50000 TO 99999999: 50000+'
;
value vx32f
  0='0'
  1-999='1 TO 999'
  1000-1999='1000 TO 1999'
  2000-2999='2000 TO 2999'
  3000-3999='3000 TO 3999'
  4000-4999='4000 TO 4999'
  5000-5999='5000 TO 5999'
  6000-6999='6000 TO 6999'
  7000-7999='7000 TO 7999'
  8000-8999='8000 TO 8999'
  9000-9999='9000 TO 9999'
  10000-14999='10000 TO 14999'
  15000-19999='15000 TO 19999'
  20000-24999='20000 TO 24999'
  25000-49999='25000 TO 49999'
  50000-99999999='50000 TO 99999999: 50000+'
;
value vx33f
  0='0'
  1-999='1 TO 999'
  1000-1999='1000 TO 1999'
  2000-2999='2000 TO 2999'
  3000-3999='3000 TO 3999'
  4000-4999='4000 TO 4999'
  5000-5999='5000 TO 5999'
  6000-6999='6000 TO 6999'
  7000-7999='7000 TO 7999'
  8000-8999='8000 TO 8999'
  9000-9999='9000 TO 9999'
  10000-14999='10000 TO 14999'
  15000-19999='15000 TO 19999'
  20000-24999='20000 TO 24999'
  25000-49999='25000 TO 49999'
  50000-99999999='50000 TO 99999999: 50000+'
;
value vx34f
  0='0'
  1-999='1 TO 999'
  1000-1999='1000 TO 1999'
  2000-2999='2000 TO 2999'
  3000-3999='3000 TO 3999'
  4000-4999='4000 TO 4999'
  5000-5999='5000 TO 5999'
  6000-6999='6000 TO 6999'
  7000-7999='7000 TO 7999'
  8000-8999='8000 TO 8999'
  9000-9999='9000 TO 9999'
  10000-14999='10000 TO 14999'
  15000-19999='15000 TO 19999'
  20000-24999='20000 TO 24999'
  25000-49999='25000 TO 49999'
  50000-99999999='50000 TO 99999999: 50000+'
;
value vx35f
  0='0'
  1-999='1 TO 999'
  1000-1999='1000 TO 1999'
  2000-2999='2000 TO 2999'
  3000-3999='3000 TO 3999'
  4000-4999='4000 TO 4999'
  5000-5999='5000 TO 5999'
  6000-6999='6000 TO 6999'
  7000-7999='7000 TO 7999'
  8000-8999='8000 TO 8999'
  9000-9999='9000 TO 9999'
  10000-14999='10000 TO 14999'
  15000-19999='15000 TO 19999'
  20000-24999='20000 TO 24999'
  25000-49999='25000 TO 49999'
  50000-99999999='50000 TO 99999999: 50000+'
;
value vx36f
  0='0'
  1-999='1 TO 999'
  1000-1999='1000 TO 1999'
  2000-2999='2000 TO 2999'
  3000-3999='3000 TO 3999'
  4000-4999='4000 TO 4999'
  5000-5999='5000 TO 5999'
  6000-6999='6000 TO 6999'
  7000-7999='7000 TO 7999'
  8000-8999='8000 TO 8999'
  9000-9999='9000 TO 9999'
  10000-14999='10000 TO 14999'
  15000-19999='15000 TO 19999'
  20000-24999='20000 TO 24999'
  25000-49999='25000 TO 49999'
  50000-99999999='50000 TO 99999999: 50000+'
;
value vx37f
  0='0'
  1-999='1 TO 999'
  1000-1999='1000 TO 1999'
  2000-2999='2000 TO 2999'
  3000-3999='3000 TO 3999'
  4000-4999='4000 TO 4999'
  5000-5999='5000 TO 5999'
  6000-6999='6000 TO 6999'
  7000-7999='7000 TO 7999'
  8000-8999='8000 TO 8999'
  9000-9999='9000 TO 9999'
  10000-14999='10000 TO 14999'
  15000-19999='15000 TO 19999'
  20000-24999='20000 TO 24999'
  25000-49999='25000 TO 49999'
  50000-99999999='50000 TO 99999999: 50000+'
;
value vx38f
  0='0'
  1-999='1 TO 999'
  1000-1999='1000 TO 1999'
  2000-2999='2000 TO 2999'
  3000-3999='3000 TO 3999'
  4000-4999='4000 TO 4999'
  5000-5999='5000 TO 5999'
  6000-6999='6000 TO 6999'
  7000-7999='7000 TO 7999'
  8000-8999='8000 TO 8999'
  9000-9999='9000 TO 9999'
  10000-14999='10000 TO 14999'
  15000-19999='15000 TO 19999'
  20000-24999='20000 TO 24999'
  25000-49999='25000 TO 49999'
  50000-99999999='50000 TO 99999999: 50000+'
;
value vx39f
  0='0'
  1-999='1 TO 999'
  1000-1999='1000 TO 1999'
  2000-2999='2000 TO 2999'
  3000-3999='3000 TO 3999'
  4000-4999='4000 TO 4999'
  5000-5999='5000 TO 5999'
  6000-6999='6000 TO 6999'
  7000-7999='7000 TO 7999'
  8000-8999='8000 TO 8999'
  9000-9999='9000 TO 9999'
  10000-14999='10000 TO 14999'
  15000-19999='15000 TO 19999'
  20000-24999='20000 TO 24999'
  25000-49999='25000 TO 49999'
  50000-99999999='50000 TO 99999999: 50000+'
;
value vx40f
  0='0'
  1-999='1 TO 999'
  1000-1999='1000 TO 1999'
  2000-2999='2000 TO 2999'
  3000-3999='3000 TO 3999'
  4000-4999='4000 TO 4999'
  5000-5999='5000 TO 5999'
  6000-6999='6000 TO 6999'
  7000-7999='7000 TO 7999'
  8000-8999='8000 TO 8999'
  9000-9999='9000 TO 9999'
  10000-14999='10000 TO 14999'
  15000-19999='15000 TO 19999'
  20000-24999='20000 TO 24999'
  25000-49999='25000 TO 49999'
  50000-99999999='50000 TO 99999999: 50000+'
;
value vx41f
  0='0'
  1-999='1 TO 999'
  1000-1999='1000 TO 1999'
  2000-2999='2000 TO 2999'
  3000-3999='3000 TO 3999'
  4000-4999='4000 TO 4999'
  5000-5999='5000 TO 5999'
  6000-6999='6000 TO 6999'
  7000-7999='7000 TO 7999'
  8000-8999='8000 TO 8999'
  9000-9999='9000 TO 9999'
  10000-14999='10000 TO 14999'
  15000-19999='15000 TO 19999'
  20000-24999='20000 TO 24999'
  25000-49999='25000 TO 49999'
  50000-999999999='50000 TO 999999999: 50000+'
;
value vx42f
  0='0'
  1-999='1 TO 999'
  1000-1999='1000 TO 1999'
  2000-2999='2000 TO 2999'
  3000-3999='3000 TO 3999'
  4000-4999='4000 TO 4999'
  5000-5999='5000 TO 5999'
  6000-6999='6000 TO 6999'
  7000-7999='7000 TO 7999'
  8000-8999='8000 TO 8999'
  9000-9999='9000 TO 9999'
  10000-14999='10000 TO 14999'
  15000-19999='15000 TO 19999'
  20000-24999='20000 TO 24999'
  25000-49999='25000 TO 49999'
  50000-999999999='50000 TO 999999999: 50000+'
;
value vx43f
  0='0'
  1-999='1 TO 999'
  1000-1999='1000 TO 1999'
  2000-2999='2000 TO 2999'
  3000-3999='3000 TO 3999'
  4000-4999='4000 TO 4999'
  5000-5999='5000 TO 5999'
  6000-6999='6000 TO 6999'
  7000-7999='7000 TO 7999'
  8000-8999='8000 TO 8999'
  9000-9999='9000 TO 9999'
  10000-14999='10000 TO 14999'
  15000-19999='15000 TO 19999'
  20000-24999='20000 TO 24999'
  25000-49999='25000 TO 49999'
  50000-99999999='50000 TO 99999999: 50000+'
;
value vx44f
  0='0'
  1-999='1 TO 999'
  1000-1999='1000 TO 1999'
  2000-2999='2000 TO 2999'
  3000-3999='3000 TO 3999'
  4000-4999='4000 TO 4999'
  5000-5999='5000 TO 5999'
  6000-6999='6000 TO 6999'
  7000-7999='7000 TO 7999'
  8000-8999='8000 TO 8999'
  9000-9999='9000 TO 9999'
  10000-14999='10000 TO 14999'
  15000-19999='15000 TO 19999'
  20000-24999='20000 TO 24999'
  25000-49999='25000 TO 49999'
  50000-99999999='50000 TO 99999999: 50000+'
;
value vx45f
  0='0'
  1-999='1 TO 999'
  1000-1999='1000 TO 1999'
  2000-2999='2000 TO 2999'
  3000-3999='3000 TO 3999'
  4000-4999='4000 TO 4999'
  5000-5999='5000 TO 5999'
  6000-6999='6000 TO 6999'
  7000-7999='7000 TO 7999'
  8000-8999='8000 TO 8999'
  9000-9999='9000 TO 9999'
  10000-14999='10000 TO 14999'
  15000-19999='15000 TO 19999'
  20000-24999='20000 TO 24999'
  25000-49999='25000 TO 49999'
  50000-99999999='50000 TO 99999999: 50000+'
;
value vx46f
  0='0'
  1-999='1 TO 999'
  1000-1999='1000 TO 1999'
  2000-2999='2000 TO 2999'
  3000-3999='3000 TO 3999'
  4000-4999='4000 TO 4999'
  5000-5999='5000 TO 5999'
  6000-6999='6000 TO 6999'
  7000-7999='7000 TO 7999'
  8000-8999='8000 TO 8999'
  9000-9999='9000 TO 9999'
  10000-14999='10000 TO 14999'
  15000-19999='15000 TO 19999'
  20000-24999='20000 TO 24999'
  25000-49999='25000 TO 49999'
  50000-99999999='50000 TO 99999999: 50000+'
;
value vx47f
  0='0'
  1-999='1 TO 999'
  1000-1999='1000 TO 1999'
  2000-2999='2000 TO 2999'
  3000-3999='3000 TO 3999'
  4000-4999='4000 TO 4999'
  5000-5999='5000 TO 5999'
  6000-6999='6000 TO 6999'
  7000-7999='7000 TO 7999'
  8000-8999='8000 TO 8999'
  9000-9999='9000 TO 9999'
  10000-14999='10000 TO 14999'
  15000-19999='15000 TO 19999'
  20000-24999='20000 TO 24999'
  25000-49999='25000 TO 49999'
  50000-99999999='50000 TO 99999999: 50000+'
;
value vx48f
  0='0'
  1-999='1 TO 999'
  1000-1999='1000 TO 1999'
  2000-2999='2000 TO 2999'
  3000-3999='3000 TO 3999'
  4000-4999='4000 TO 4999'
  5000-5999='5000 TO 5999'
  6000-6999='6000 TO 6999'
  7000-7999='7000 TO 7999'
  8000-8999='8000 TO 8999'
  9000-9999='9000 TO 9999'
  10000-14999='10000 TO 14999'
  15000-19999='15000 TO 19999'
  20000-24999='20000 TO 24999'
  25000-49999='25000 TO 49999'
  50000-99999999='50000 TO 99999999: 50000+'
;
value vx49f
  0='0'
  1-999='1 TO 999'
  1000-1999='1000 TO 1999'
  2000-2999='2000 TO 2999'
  3000-3999='3000 TO 3999'
  4000-4999='4000 TO 4999'
  5000-5999='5000 TO 5999'
  6000-6999='6000 TO 6999'
  7000-7999='7000 TO 7999'
  8000-8999='8000 TO 8999'
  9000-9999='9000 TO 9999'
  10000-14999='10000 TO 14999'
  15000-19999='15000 TO 19999'
  20000-24999='20000 TO 24999'
  25000-49999='25000 TO 49999'
  50000-99999999='50000 TO 99999999: 50000+'
;
value vx50f
  0='0'
  1-999='1 TO 999'
  1000-1999='1000 TO 1999'
  2000-2999='2000 TO 2999'
  3000-3999='3000 TO 3999'
  4000-4999='4000 TO 4999'
  5000-5999='5000 TO 5999'
  6000-6999='6000 TO 6999'
  7000-7999='7000 TO 7999'
  8000-8999='8000 TO 8999'
  9000-9999='9000 TO 9999'
  10000-14999='10000 TO 14999'
  15000-19999='15000 TO 19999'
  20000-24999='20000 TO 24999'
  25000-49999='25000 TO 49999'
  50000-99999999='50000 TO 99999999: 50000+'
;
*/

/* 
 *--- Tabulations using reference number variables;
proc freq data=new_data;
tables _ALL_ /MISSING;
  format R0155400 vx1f.;
  format R0156000 vx2f.;
  format R0312300 vx3f.;
  format R0312600 vx4f.;
  format R0482600 vx5f.;
  format R0483200 vx6f.;
  format R0782101 vx7f.;
  format R0782401 vx8f.;
  format R1024001 vx9f.;
  format R1024301 vx10f.;
  format R1410701 vx11f.;
  format R1411001 vx12f.;
  format R1778501 vx13f.;
  format R1778801 vx14f.;
  format R2141601 vx15f.;
  format R2141901 vx16f.;
  format R2350301 vx17f.;
  format R2350601 vx18f.;
  format R2722501 vx19f.;
  format R2722801 vx20f.;
  format R2971401 vx21f.;
  format R2971701 vx22f.;
  format R3279401 vx23f.;
  format R3279701 vx24f.;
  format R3559001 vx25f.;
  format R3559301 vx26f.;
  format R3897101 vx27f.;
  format R3897401 vx28f.;
  format R4295101 vx29f.;
  format R4295501 vx30f.;
  format R4982801 vx31f.;
  format R4983201 vx32f.;
  format R5626201 vx33f.;
  format R5626601 vx34f.;
  format R6364601 vx35f.;
  format R6365001 vx36f.;
  format R6909701 vx37f.;
  format R6911101 vx38f.;
  format R7607800 vx39f.;
  format R7609000 vx40f.;
  format R8316300 vx41f.;
  format R8318200 vx42f.;
  format T0912400 vx43f.;
  format T0913900 vx44f.;
  format T2076700 vx45f.;
  format T2078800 vx46f.;
  format T3045300 vx47f.;
  format T3047500 vx48f.;
  format T3977400 vx49f.;
  format T3979400 vx50f.;
run;
*/

/*
*--- Tabulations using default named variables;
proc freq data=new_data;
tables _ALL_ /MISSING;
  format 'Q13-5_1979'n vx1f.;
  format 'Q13-8_1979'n vx2f.;
  format 'Q13-5_1980'n vx3f.;
  format 'Q13-9_1980'n vx4f.;
  format 'Q13-5_1981'n vx5f.;
  format 'Q13-8_1981'n vx6f.;
  format 'Q13-5_TRUNC_REVISED_1982'n vx7f.;
  format 'Q13-8_TRUNC_REVISED_1982'n vx8f.;
  format 'Q13-5_TRUNC_REVISED_1983'n vx9f.;
  format 'Q13-9_TRUNC_REVISED_1983'n vx10f.;
  format 'Q13-5_TRUNC_REVISED_1984'n vx11f.;
  format 'Q13-8_TRUNC_REVISED_1984'n vx12f.;
  format 'Q13-5_TRUNC_REVISED_1985'n vx13f.;
  format 'Q13-9_TRUNC_REVISED_1985'n vx14f.;
  format 'Q13-5_TRUNC_REVISED_1986'n vx15f.;
  format 'Q13-9_TRUNC_REVISED_1986'n vx16f.;
  format 'Q13-5_TRUNC_REVISED_1987'n vx17f.;
  format 'Q13-9_TRUNC_REVISED_1987'n vx18f.;
  format 'Q13-5_TRUNC_REVISED_1988'n vx19f.;
  format 'Q13-9_TRUNC_REVISED_1988'n vx20f.;
  format 'Q13-5_TRUNC_REVISED_1989'n vx21f.;
  format '13-9_TRUNC_REVISED_1989'n vx22f.;
  format 'Q13-5_TRUNC_REVISED_1990'n vx23f.;
  format 'Q13-9_TRUNC_REVISED_1990'n vx24f.;
  format 'Q13-5_TRUNC_REVISED_1991'n vx25f.;
  format 'Q13-9_TRUNC_REVISED_1991'n vx26f.;
  format 'Q13-5_TRUNC_REVISED_1992'n vx27f.;
  format 'Q13-9_TRUNC_REVISED_1992'n vx28f.;
  format 'R4295101_REVISED_1993'n vx29f.;
  format 'R4295501_REVISED_1993'n vx30f.;
  format 'Q13-5_TRUNC_REVISED_1994'n vx31f.;
  format 'Q13-9_TRUNC_REVISED_1994'n vx32f.;
  format 'Q13-5_TRUNC_REVISED_1996'n vx33f.;
  format 'Q13-9_TRUNC_REVISED_1996'n vx34f.;
  format 'Q13-5_TRUNC_REVISED_1998'n vx35f.;
  format 'Q13-9_TRUNC_REVISED_1998'n vx36f.;
  format 'Q13-5_TRUNC_REVISED_2000'n vx37f.;
  format 'Q13-9_TRUNC_REVISED_2000'n vx38f.;
  format 'Q13-5_TRUNC_2002'n vx39f.;
  format 'Q13-9_TRUNC_2002'n vx40f.;
  format 'Q13-5_TRUNC_2004'n vx41f.;
  format 'Q13-9_TRUNC_2004'n vx42f.;
  format 'Q13-5_TRUNC_2006'n vx43f.;
  format 'Q13-9_TRUNC_2006'n vx44f.;
  format 'Q13-5_TRUNC_2008'n vx45f.;
  format 'Q13-9_TRUNC_2008'n vx46f.;
  format 'Q13-5_TRUNC_2010'n vx47f.;
  format 'Q13-9_TRUNC_2010'n vx48f.;
  format 'Q13-5_TRUNC_2012'n vx49f.;
  format 'Q13-9_TRUNC_2012'n vx50f.;
run;
*/