/*--------------------------------------------------------------------------------------
* name: main.do
* made by: satoshi tanaka and david wiczer
* date: 08/21/2010
*       03/11/2019
* description: this code is for the project 'multidimensional skill mismatch'
--------------------------------------------------------------------------------------*/

clear all
set maxvar 10000
set more off

/*--------------------------------------------------------------------------------------*/
/*--------------------------------------------------------------------------------------*/
/*--------------------------------------------------------------------------------------*/
/* REQUIRES: */

/* STATA 13.0+ 
   ESTOUT package
   PUTEXCEL package (n.b. there seem to be version compatibility issues so we have commented out these lines, but to output the tables to spreadsheet, it is neccessary.)
*/   

/*--------------------------------------------------------------------------------------*/
/*--------------------------------------------------------------------------------------*/
/*--------------------------------------------------------------------------------------*/
/* CHANGE THIS PART */

global base_folder "{YOUR_PATH}/Data"

/*--------------------------------------------------------------------------------------*/
/*--------------------------------------------------------------------------------------*/
/*--------------------------------------------------------------------------------------*/

global workplace $base_folder/workplace
global crosswalk $base_folder/crosswalk
global download $base_folder/download
global result $base_folder/result
global data $base_folder/data
global onet $base_folder/onetstata

/*--------------------------------------------------------------------------------------*/
/*--------------------------------------------------------------------------------------*/

do $workplace/mismatch_01_KSA_setup.do 
do $workplace/mismatch_02_nlsy79_setup.do 
do $workplace/mismatch_03_cleaning.do 
do $workplace/mismatch_04_regression.do
do $workplace/mismatch_05_physical.do 
do $workplace/mismatch_06_college.do 
do $workplace/mismatch_07_ern_cleaning.do 
do $workplace/mismatch_08_ern_regression.do 
do $workplace/mismatch_09_log_regression.do 
do $workplace/mismatch_10_ability2_skill2_regression.do 
do $workplace/mismatch_11_ability_exp_regression.do 
do $workplace/mismatch_12_fixed_effects_regression.do 
do $workplace/mismatch_13_clustering_regression.do
do $workplace/mismatch_14_young.do
